Subject: Help With Butterfly Garden?

From: [email-masked] (David P Lehman)
Date: 29 Apr 1995 23:19:45 GMT

I am considering planting a butterfly garden, but the potential site is 
near a busy street.  Do the benefits of providing food for the 
butterflies outweigh the dangers of traffic or will I simply be luring 
them to an untimely death? If in order to answer you will need more 
details, please reply here or by e-mail and tell me what you need to 
know. Thanks.